### Function

# GObject signal_override_class_handler

since: 2.18

#### Declaration [src]

    void
    g_signal_override_class_handler (
      const gchar* signal_name,
      GType instance_type,
      GCallback class_handler
    )

#### Description [src]

Overrides the class closure (i.e. the default handler) for the given signal for emissions on instances of `instance_type` with callback `class_handler`. `instance_type` must be derived from the type to which the signal belongs.

See `g_signal_chain_from_overridden()` and `g_signal_chain_from_overridden_handler()` for how to chain up to the parent class closure from inside the overridden one.

Available since: 2.18

#### Parameters

`signal_name`

  Type: `const gchar*`

  The name for the signal.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`instance_type`

  Type: `GType`

  The instance type on which to override the class handler for the signal.

`class_handler`

  Type: `GCallback`

  The handler.